#
# spec file for package python3-times
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-times
Version:        0.7
Release:        3.6
License:        BSD-3-Clause
Summary:        Python library for dealing with time conversions
Url:            https://github.com/nvie/times/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/t/times/times-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3
Requires:       python3-arrow
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Times is a small, minimalistic, Python library for dealing with time
conversions between universal time and arbitrary timezones.

%prep
%setup -q -n times-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Wed Mar  1 2017 toddrme2178@gmail.com
- Change python3-distribute BuildRequires to python3-setuptools
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sat Dec  6 2014 arun@gmx.de
- specfile:
  * update copyright year
  * added arrow dependency
- update to version 0.7:
  * Add note on maintenance.
  * Reimplement times on top of Arrow.
  * Declare arrow dependency.
  * Sort imports.
  * Use SVG image for build status, too.
  * Update to SVG image.
  * Add wheel support to times.
  * Switch to using direnv.
- changes from version 0.6.2:
  * Update setup.py to work around a bug where pytz doesn't install on pip>=1.4
  * Generate coverage data and prepare integration with Coveralls.io
- changes from version 0.6.1:
  * Remove run_tests. Just run 'tox'.
  * Switch to nose.
  * Fix Travis build configuration.
  * Improve compatibility with Python 2.6.
  * Use syntax highlighting in the readme file.
  * Update the unit tests for the TypeError changes.
  * Raise TypeErrors for invalid argument types.
* Sun Apr 14 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two versions are not the same
- Remove unneeded macros
- Added python buildrequires and requires since the package does not
  work properly without them on openSUSE <= 12.2
* Fri Apr 12 2013 p.drouand@gmail.com
- Update to version 0.6.1
  + No changelog available
- Initial python3 support
* Sat Dec  1 2012 toddrme2178@gmail.com
- Update to 0.6
* Mon Jul 23 2012 saschpe@suse.de
- Initial version
